<template>
  <div class="mb-4">
    <div class="text-xl font-semibold text-green-400 text-center">Joueur 1</div>
  </div>
  <div class="grid-container flex justify-center mb-4">
    <div class="grid">
        <div class="cell"></div>
        <div class="cell"></div>
        <div class="cell marked x"></div>
        <div class="cell marked o"></div>
        <div class="cell"></div>
        <div class="cell"></div>
        <div class="cell"></div>
        <div class="cell"></div>
        <div class="cell"></div>
    </div>
  </div>
  <div class="flex justify-center">
    <button class="btn">Nouvelle partie</button>
  </div>
</template>

<script>
export default {
  name: 'Tictactoe'
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

.grid {
  @apply bg-gray-100;
  width: 257px;
  height: 257px;  
  display: flex;
  flex-wrap: wrap;
  padding-top: 8px;
  padding-left: 8px;

}

.cell {
  width: 75px;
  height: 75px;
  margin-right: 8px;
  margin-bottom: 8px;
  background-color: white;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.cell.marked {
  cursor: initial;
}

.cell.marked.o::before {
  content: "\25EF";
  font-weight: 900;
  font-size: 40px;
  position: relative;
  top: -4px;
}

.cell.marked.x::before {
  content: "\274C";
  font-size: 60px;
  position: relative;
}



</style>
